# $Revision: 1.9 $, $Date: 2005/07/30 15:02:00 $
Summary:	Speex input plugin for XMMS
Summary(pl):	Wtyczka wejciowa dls XMMS-a odtwarzajca pliki w formacie speex
Name:		xmms-input-speex
Version:	0.9.1
Release:	1
License:	GPL
Group:		X11/Applications/Sound
Source0:	speex-xmms-%{version}.tar.gz
# Source0-md5:	223a8c8fc7f073c7a7bd4fe6736ed0ee
Patch0:		%{name}-utf8.patch
BuildRequires:	libogg-devel
BuildRequires:	speex-devel >= 1.0
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Speex input plugin for XMMS.

%description -l pl
Wtyczka wejciowa dla XMMS-a odtwarzajca pliki w formacie speex.

%prep
%setup -q -n speex-xmms
%patch0 -p1

%build
%{__make} \
	CC="%{__cc} %{rpmcflags} -I%{_includedir}/speex -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{xmms_input_plugindir}

install libspeex.so $RPM_BUILD_ROOT%{xmms_input_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{xmms_input_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-speex.spec,v $
Revision 1.9  2005/07/30 15:02:00  arekm
- md5 fix

Revision 1.8  2005/07/30 14:59:22  arekm
- up to 0.9.1 (url + src url not known)

Revision 1.7  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.6  2004/04/14 12:21:32  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.5  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.4  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/27 17:06:43  qboosh
- descriptions from summaries

Revision 1.1  2003/03/24 21:44:47  wolf
- new
